Package commoble.morered.wire_post

# Class WireSpoolItem

java.lang.Object
net.minecraft.world.item.Item
commoble.morered.wire_post.WireSpoolItem

All Implemented Interfaces:
  `net.minecraft.world.level.ItemLike`, `net.minecraftforge.common.extensions.IForgeItem`

public class WireSpoolItem extends net.minecraft.world.item.Item

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.world.item.Item

`net.minecraft.world.item.Item.Properties`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LAST_POST_POS`
`protected final net.minecraft.tags.TagKey<net.minecraft.world.level.block.Block>`
`postBlockTag`

### Fields inherited from class net.minecraft.world.item.Item

`BASE_ATTACK_DAMAGE_UUID, BASE_ATTACK_SPEED_UUID, BY_BLOCK, canRepair, category, EAT_DURATION, MAX_BAR_WIDTH, MAX_STACK_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`WireSpoolItem(net.minecraft.world.item.Item.Properties properties, net.minecraft.tags.TagKey<net.minecraft.world.level.block.Block> postBlockTag)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`breakPendingConnection(net.minecraft.world.item.ItemStack stack, net.minecraft.core.BlockPos connectingPos, net.minecraft.world.entity.Entity holder, net.minecraft.world.level.Level world)`
`void`
`inventoryTick(net.minecraft.world.item.ItemStack stack, net.minecraft.world.level.Level worldIn, net.minecraft.world.entity.Entity entityIn, int itemSlot, boolean isSelected)`
`boolean`
`shouldRemoveConnection(net.minecraft.core.BlockPos connectionPos, net.minecraft.world.level.Level world, net.minecraft.world.entity.Entity holder)`
`net.minecraft.world.InteractionResult`
`useOn(net.minecraft.world.item.context.UseOnContext context)`
Called when this item is used when targetting a Block

### Methods inherited from class net.minecraft.world.item.Item

`allowedIn, appendHoverText, asItem, builtInRegistryHolder, byBlock, byId, canAttackBlock, canBeDepleted, canBeHurtBy, canFitInsideContainerItems, fillItemCategory, finishUsingItem, getBarColor, getBarWidth, getCraftingRemainingItem, getDefaultAttributeModifiers, getDefaultInstance, getDescription, getDescriptionId, getDescriptionId, getDestroySpeed, getDrinkingSound, getEatingSound, getEnchantmentValue, getEquipSound, getFoodProperties, getId, getItemCategory, getMaxDamage, getMaxStackSize, getName, getOrCreateDescriptionId, getPlayerPOVHitResult, getRarity, getRenderPropertiesInternal, getTooltipImage, getUseAnimation, getUseDuration, hasCraftingRemainingItem, hurtEnemy, initializeClient, interactLivingEntity, isBarVisible, isComplex, isCorrectToolForDrops, isEdible, isEnchantable, isFireResistant, isFoil, isRepairable, isValidRepairItem, mineBlock, onCraftedBy, onDestroyed, onUseTick, overrideOtherStackedOnMe, overrideStackedOnOther, releaseUsing, shouldOverrideMultiplayerNbt, toString, use, useOnRelease, verifyTagAfterLoad`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.minecraftforge.common.extensions.IForgeItem

`canApplyAtEnchantingTable, canContinueUsing, canDisableShield, canElytraFly, canEquip, canPerformAction, canWalkOnPowderedSnow, createEntity, damageItem, doesSneakBypassUse, elytraFlightTick, getAllEnchantments, getArmorTexture, getAttributeModifiers, getBurnTime, getCraftingRemainingItem, getCreativeTabs, getCreatorModId, getDamage, getDefaultTooltipHideFlags, getEnchantmentLevel, getEnchantmentValue, getEntityLifespan, getEquipmentSlot, getFoodProperties, getHighlightTip, getMaxDamage, getMaxStackSize, getShareTag, getSweepHitBox, getXpRepairRatio, hasCraftingRemainingItem, hasCustomEntity, initCapabilities, isBookEnchantable, isCorrectToolForDrops, isDamageable, isDamaged, isEnderMask, isNotReplaceableByPickAction, isPiglinCurrency, makesPiglinsNeutral, onArmorTick, onBlockStartBreak, onDestroyed, onDroppedByPlayer, onEntityItemUpdate, onEntitySwing, onHorseArmorTick, onItemUseFirst, onLeftClickEntity, onUsingTick, readShareTag, setDamage, shouldCauseBlockBreakReset, shouldCauseReequipAnimation`

## Field Details

### LAST_POST_POS

public static final String LAST_POST_POS

See Also:
  - Constant Field Values

### postBlockTag

protected final net.minecraft.tags.TagKey<net.minecraft.world.level.block.Block> postBlockTag

## Constructor Details

### WireSpoolItem

public WireSpoolItem(net.minecraft.world.item.Item.Properties properties, net.minecraft.tags.TagKey<net.minecraft.world.level.block.Block> postBlockTag)

## Method Details

### useOn

public net.minecraft.world.InteractionResult useOn(net.minecraft.world.item.context.UseOnContext context)
Called when this item is used when targetting a Block

Overrides:
  `useOn` in class `net.minecraft.world.item.Item`

### inventoryTick

public void inventoryTick(net.minecraft.world.item.ItemStack stack, net.minecraft.world.level.Level worldIn, net.minecraft.world.entity.Entity entityIn, int itemSlot, boolean isSelected)

Overrides:
  `inventoryTick` in class `net.minecraft.world.item.Item`

### shouldRemoveConnection

public boolean shouldRemoveConnection(net.minecraft.core.BlockPos connectionPos, net.minecraft.world.level.Level world, net.minecraft.world.entity.Entity holder)

### breakPendingConnection

public static void breakPendingConnection(net.minecraft.world.item.ItemStack stack, net.minecraft.core.BlockPos connectingPos, net.minecraft.world.entity.Entity holder, net.minecraft.world.level.Level world)